<?php
date_default_timezone_set('America/Lima');

class cCompra{
	function insertar($fec,$doc_id,$numdoc,$mon_id,$tipcam,$tipcam_can,$pro_id,$subtot,$des,$valven,$igv,$tot,$est,$canest,
	$alm_id,$usu_id,$emp_id,$punven_id,$piso_id,$pre_mes,$per_anio,$nroope,$nroordcom,$nroguia_emi,
	$nroguia_tra,$ref,$nrofecguia,$opeina,$opeexo,$opegra,$igvval,$igvsub,$igvigv){
		$now =  date('Y-m-d h:i:s a');
		$sql = "INSERT INTO tb_compra(
		tb_compra_reg ,
		tb_compra_mod ,
		tb_compra_fec ,
		tb_documento_id ,
		tb_compra_numdoc ,
		tb_moneda_id ,
		tb_compra_tipcam ,
		tb_compra_tipcamcan ,
		tb_proveedor_id ,
		tb_compra_subtot ,
		tb_compra_des ,
		tb_compra_valven ,
		tb_compra_igv ,
		tb_compra_tot ,
		tb_compra_est ,
		tb_compra_canest ,
		tb_almacen_id ,
		tb_usuario_id ,
		tb_empresa_id,
		tb_puntoventa_id,
		tb_piso_id,
		tb_compra_permes,
		tb_compra_peranio,
		tb_compra_nroped,
		tb_compra_nrordcom,
		tb_compra_nroguia_emi,
		tb_compra_nroguia_tra,
		tb_compra_ref,
		tb_compra_fecguia,
		tb_compra_opeina,
		tb_compra_opeexo,
		tb_compra_opegra,
		tb_compra_igvval,
		tb_compra_igvsub,
		tb_compra_igvigv
		)
		VALUES (
		'$now' , '$now',  '$fec', '$doc_id',  '$numdoc', '$mon_id', '$tipcam','$tipcam_can', '$pro_id',  '$subtot',  '$des', '$valven',  '$igv',  '$tot', '$est',  '$canest',
		'$alm_id',  '$usu_id',  '$emp_id','$punven_id','$piso_id','$pre_mes','$per_anio','$nroope','$nroordcom','$nroguia_emi','$nroguia_tra','$ref',
		'$nrofecguia','$opeina','$opeexo','$opegra','$igvval','$igvsub','$igvigv')"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}

	function modificar($id, $fec, $doc_id, $numdoc, $permes, $peranio, $tipcam_can){
		$sql = "UPDATE tb_compra SET  
		tb_compra_fec =  '$fec',
		tb_documento_id =  '$doc_id',
		tb_compra_numdoc =  '$numdoc',
		tb_compra_permes =  '$permes' ,
		tb_compra_peranio =  '$peranio',
		tb_compra_tipcamcan =  '$tipcam_can' 
		WHERE tb_compra_id = '$id' "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function mostrar_filtro_panel($fec1,$fec2,$mon_id,$punven_id){
		$sql="SELECT SUM(tb_compra_tot) as 'total' FROM tb_compra WHERE tb_compra_xac=1 ";
		
		$sql.=" AND tb_compra_fec BETWEEN  '$fec1' AND '$fec2' and tb_puntoventa_id = '$punven_id'";
		
		if($mon_id>0)$sql.=" AND tb_moneda_id = '$mon_id' ";
 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
		
	function mostrarcantXMes($emp_id,$mes,$mon_id){
		
		$año =  date('Y');		
		
		$fec1 = $año.'-'.$mes.'-01';
		$fec2 = $año.'-'.$mes.'-31';
		
		$sql="SELECT sum(c.tb_compra_tot)  as 'canttot'
		FROM tb_compra c
		INNER JOIN tb_documento d ON c.tb_documento_id=d.tb_documento_id
		LEFT JOIN tb_proveedor pro ON c.tb_proveedor_id=pro.tb_proveedor_id
		LEFT JOIN tb_usuario u on u.tb_usuario_id = c.tb_usuario_id
		LEFT JOIN tb_puntoventa pv on pv.tb_puntoventa_id = c.tb_puntoventa_id
		WHERE c.tb_compra_xac=1
		AND pv.tb_empresa_id = '$emp_id'	AND c.tb_compra_fec BETWEEN '$fec1' AND '$fec2'	
		AND c.tb_moneda_id = '$mon_id' ";
	
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	function insertar_detalle($cat_cod,$cat_id,$mar_id,$codbar,$can,$preuni,$des, $valven, $igv, $com_id){
		$sql = "INSERT INTO tb_compradetalle(
		tb_catalogo_cod ,
		tb_catalogo_id ,
		tb_marca_id,
		tb_compradetalle_codbar,
		tb_compradetalle_can ,
		tb_compradetalle_preuni ,
		tb_compradetalle_des ,
		tb_compradetalle_valven ,
		tb_compradetalle_igv ,
		tb_compra_id
		)
		VALUES (
		'$cat_cod','$cat_id', '$mar_id','$codbar', '$can',  '$preuni', '$des',  '$valven',  '$igv','$com_id'
		);"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}


	function insertar_archivo($fec,$url,$comid, $usuid,$nom){
		$sql = "INSERT INTO tb_compraarchivo(
		tb_compraarchivo_fec ,
		tb_compraarchivo_url ,
		tb_compra_id ,
		tb_usuario_id,
		tb_compraarchivo_nom
		)
		VALUES (
		'$fec','$url','$comid','$usuid','$nom')"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}

	function ultimoInsert(){
		$sql = "select MAX(tb_compra_id) as 'id' from tb_compra"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}

	function mostrar_filtro($fec1,$fec2,$mon_id,$pro_id,$est,$emp_id,$punven_id,$piso_id, $permes, $peranio,$ordcam,$ordopc,$numdoc,$tipdoc){
		$sql="SELECT c.*,d.*,a.*,p.*,m.*,em.*
		FROM tb_compra c
		inner join tb_empresa em on em.tb_empresa_id = c.tb_empresa_id
        inner join tb_moneda m on c.tb_moneda_id = m.tb_moneda_id
		INNER JOIN tb_proveedor p ON c.tb_proveedor_id=p.tb_proveedor_id
		INNER JOIN tb_documento d ON c.tb_documento_id=d.tb_documento_id
		INNER JOIN tb_almacen a ON c.tb_almacen_id=a.tb_almacen_id
		WHERE c.tb_compra_xac=1
		and d.tb_documento_id != 22 
		
		";
		
	//	and c.tb_documento_id != '22'
		
		if($numdoc!=""){$sql.=" AND c.tb_compra_numdoc like '%$numdoc%' ";
		}else{
		if($permes=='' || $peranio ==''){
		 $sql.=" AND c.tb_compra_fec BETWEEN  '$fec1' AND '$fec2' ";
		//$sql.=" AND c.tb_compra_fec BETWEEN '2018-02-08' AND '2018-02-28' ";
			
		}else{
		
		if($fec1=='' || $fec2==''){
			
		}else
		{		
		$sql.=" AND c.tb_compra_fec BETWEEN  '$fec1' AND '$fec2' ";
		}
			
		if($permes>0)$sql.=" AND c.tb_compra_permes = '$permes' ";
		if($peranio>0)$sql.=" AND c.tb_compra_peranio = '$peranio' ";
		
		
		
		}
		
		if($tipdoc>0)$sql.=" AND d.tb_documento_id = '$tipdoc' ";
		if($emp_id>0)$sql.=" AND c.tb_empresa_id = '$emp_id' ";
		//if($punven_id>0)$sql.=" AND c.tb_puntoventa_id = '$punven_id' ";
		//if($piso_id>0)$sql.=" AND c.tb_piso_id = '$piso_id' ";
		
		if($mon_id>0)$sql.=" AND c.tb_moneda_id = '$mon_id' ";
		
		if($pro_id>0)$sql.=" AND c.tb_proveedor_id = '$pro_id' ";
		
		}
		//if($est>0)$sql.=" AND tb_compra_est = '$est' ";
		
		$sql.=" order by $ordcam $ordopc ";

		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	function mostrar_grafica1($fec1,$fec2,$pro_id,$emp_id,$mon_id,$tipdoc){
		$sql="SELECT c.tb_compra_fec, sum(c.tb_compra_tot) as tb_compra_tot FROM tb_compra c 
		INNER JOIN tb_documento d ON c.tb_documento_id=d.tb_documento_id 
		WHERE c.tb_compra_xac=1 and d.tb_documento_id != 22
		AND c.tb_compra_fec BETWEEN  '$fec1' AND '$fec2'
		";

		if($tipdoc>0)$sql.=" AND d.tb_documento_id = '$tipdoc' ";
		if($emp_id>0)$sql.=" AND c.tb_empresa_id = '$emp_id' ";
		
		if($mon_id>0)$sql.=" AND c.tb_moneda_id = '$mon_id' ";
		if($pro_id>0)$sql.=" AND c.tb_proveedor_id = '$pro_id' ";

		
		$sql.=" group by c.tb_compra_fec ";

		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}	
	
	
	
	function mostrar_grafica2($fec1,$fec2,$pro_id,$emp_id,$mon_id,$tipdoc){
		$sql="SELECT SUM(CASE WHEN cp.tb_comprapago_est = 1 THEN cp.tb_comprapago_mon ELSE 0 END) 'totalpago',
       SUM(CASE WHEN cp.tb_comprapago_est = 2 THEN cp.tb_comprapago_mon ELSE 0 END) 'totaldebe'
       FROM tb_comprapago cp
		INNER JOIN tb_compra c ON c.tb_compra_id = cp.tb_compra_id
		INNER JOIN tb_documento d ON c.tb_documento_id=d.tb_documento_id
		WHERE c.tb_compra_xac=1
		and d.tb_documento_id != 22 AND c.tb_compra_fec BETWEEN  '$fec1' AND '$fec2'
		";

		if($tipdoc>0)$sql.=" AND d.tb_documento_id = '$tipdoc' ";
		if($emp_id>0)$sql.=" AND c.tb_empresa_id = '$emp_id' ";
		
		if($mon_id>0)$sql.=" AND c.tb_moneda_id = '$mon_id' ";
		if($pro_id>0)$sql.=" AND c.tb_proveedor_id = '$pro_id' ";

		
		$sql.=" ";

		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function filtroreporte($fec,$agrufec,$agruemp,$agrupro,$empid,$proid,$fec1,$fec2){
		$sql="select * from tb_compra c
		inner join tb_empresa em on em.tb_empresa_id = c.tb_empresa_id
        inner join tb_moneda m on c.tb_moneda_id = m.tb_moneda_id
		INNER JOIN tb_proveedor p ON c.tb_proveedor_id=p.tb_proveedor_id
		INNER JOIN tb_documento d ON c.tb_documento_id=d.tb_documento_id
		where c.tb_compra_xac = '1' and c.tb_documento_id != 22  ";
		
		//if($emp!="") $sql.=" and c.tb_empresa_id = '$emp' ";
		
		//if($prov!="") $sql.=" and c.tb_proveedor_id = '$prov' ";
		
		if($agrufec=='1'){
			$sql.=" and c.tb_compra_fec = '$fec'";
		}else if($agruemp=='1'){
			$sql.=" and c.tb_empresa_id = '$empid' ";
			$sql.="  and c.tb_compra_fec between '$fec1'  and '$fec2' ";
		}else if($agrupro=='1'){
			$sql.=" and c.tb_proveedor_id = '$proid' ";
			$sql.="  and c.tb_compra_fec between '$fec1'  and '$fec2' ";
		}else{
			$sql.="  and c.tb_compra_fec between '$fec1'  and '$fec2' ";
		}
		
		$sql.=" order by c.tb_compra_fec, c.tb_empresa_id, c.tb_proveedor_id ASC ";
		
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function filtroreporte_agru($emp,$prov,$fec1,$fec2,$agrufec,$agruemp,$agrupro){
		$sql="select SUM(CASE WHEN c.tb_moneda_id = 1 THEN c.tb_compra_tot ELSE 0 END) 'soles',
		SUM(CASE WHEN c.tb_moneda_id = 2 THEN c.tb_compra_tot ELSE 0 END) 'dolares', " ; 
		if($agrufec>0) $sql.=" c.tb_compra_fec as 'fecha' ";
		if($agruemp>0) $sql.=" em.tb_empresa_nomcom as 'emp',em.tb_empresa_id as 'emp_id' ";
		if($agrupro>0) $sql.=" p.tb_proveedor_nom as 'pro',p.tb_proveedor_id as 'pro_id' ";
		$sql.= " from tb_compra c 
		inner join tb_empresa em on em.tb_empresa_id = c.tb_empresa_id
		INNER JOIN tb_proveedor p ON c.tb_proveedor_id=p.tb_proveedor_id
		where c.tb_compra_xac = '1' and c.tb_documento_id != 22 ";
		
		if($emp!="") $sql.=" and c.tb_empresa_id = '$emp' ";
		if($prov!="") $sql.=" and c.tb_proveedor_id = '$prov' ";
		
		if($fec1!="") $sql.=" and c.tb_compra_fec between '$fec1'  and '$fec2' ";
		
		if($agrufec>0) $sql.=" group by c.tb_compra_fec order by c.tb_compra_fec ASC ";
		if($agruemp>0) $sql.=" group by em.tb_empresa_id, em.tb_empresa_nomcom  order by  c.tb_empresa_id ASC ";
		if($agrupro>0) $sql.=" group by p.tb_proveedor_id, p.tb_proveedor_nom  order by c.tb_proveedor_id  ASC ";
		
		//$sql.="  ";
		
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}

	function mostrar_archivos($comid){
		$sql="select * from tb_compraarchivo where tb_compraarchivo_xac = 1 and tb_compra_id = '$comid'";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function mostrar_detalle_agru($mes,$anio){
		$sql="select c.tb_empresa_id as 'empid',emp.tb_empresa_razsoc as 'emp' from tb_compra c
		inner join tb_empresa emp on emp.tb_empresa_id = c.tb_empresa_id
		where c.tb_compra_xac = '1' and c.tb_compra_permes = '$mes' and c.tb_compra_peranio = '$anio' and 
		c.tb_documento_id IN(1,2,3) group by c.tb_empresa_id ,emp.tb_empresa_razsoc";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function mostrar_detalle_des($mes,$anio,$empid){
		$sql="select * from tb_compra c
		inner join tb_documento d on d.tb_documento_id = c.tb_documento_id
		inner join tb_proveedor pr on pr.tb_proveedor_id = c.tb_proveedor_id
		inner join tb_empresa emp on emp.tb_empresa_id = c.tb_empresa_id
		where c.tb_compra_xac = '1' and  c.tb_compra_permes = '$mes' 
		and c.tb_compra_peranio = '$anio' ";
		if($empid>0) $sql.=" and c.tb_empresa_id = '$empid' ";
		
		$sql.= " and c.tb_documento_id IN(1,2,3) 
		order by c.tb_compra_fec,c.tb_proveedor_id ";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	function mostrar_xperiodo($mes,$anio,$emp){
		$sql="select * from tb_compra where tb_compra_xac = '1' 
		and tb_compra_permes = '$mes' and tb_compra_peranio = '$anio' and tb_empresa_id = '$emp' 
		and tb_documento_id IN(1,2,3) ";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}

	function mostrar_todosprovedores($cat_id,$mar_id){
		$sql="SELECT * FROM tb_compradetalle cd 
	INNER JOIN tb_compra c ON c.tb_compra_id=cd.tb_compra_id
	INNER JOIN tb_proveedor pv ON c.tb_proveedor_id=pv.tb_proveedor_id
	where cd.tb_catalogo_id ='$cat_id'  and cd.tb_marca_id = '$mar_id' and c.tb_compra_xac = '1' GROUP by cd.tb_catalogo_id, cd.tb_marca_id,c.tb_proveedor_id ";	
		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}

	function mostrar_ultimacompra($cat_id,$mar_id,$provid){
		$sql="SELECT * FROM tb_compradetalle cd 
		INNER JOIN tb_compra c ON c.tb_compra_id=cd.tb_compra_id
		INNER JOIN tb_proveedor pv ON c.tb_proveedor_id=pv.tb_proveedor_id
		where cd.tb_catalogo_id = '$cat_id' and cd.tb_marca_id = '$mar_id' and c.tb_proveedor_id = '$provid' and  c.tb_compra_xac = '1' order by c.tb_compra_id DESC LIMIT 1";
		
		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}


	function mostrar_compra_precio($cat_id,$mar_id,$mon){
		$sql="SELECT MIN(cd.tb_compradetalle_preuni) as 'premin',MAX(cd.tb_compradetalle_preuni) as 'premay' 
FROM tb_compradetalle cd
inner join tb_compra c on c.tb_compra_id = cd.tb_compra_id
where cd.tb_catalogo_id = '$cat_id' and cd.tb_marca_id = '$mar_id' and c.tb_moneda_id = '$mon' and c.tb_documento_id != '2'  and c.tb_compra_xac='1' ";
		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function mostrar_compra_precio_min($cat_id,$mar_id){
		$sql="SELECT * FROM tb_compradetalle cd
		inner join tb_compra c on c.tb_compra_id = cd.tb_compra_id
        where cd.tb_catalogo_id = '$cat_id' and cd.tb_marca_id = '$mar_id'  
		and cd.tb_compradetalle_preuni =  (select min(tb_compradetalle_preuni) from tb_compradetalle where tb_catalogo_id = '$cat_id' and tb_marca_id = '$mar_id' )";
		
		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}

	 

	function mostrar_filtro_detalle($fec1,$fec2,$mon,$pro_id,$est,$emp_id){
		$sql="SELECT * 
		FROM tb_compra c
		INNER JOIN tb_proveedor pv ON c.tb_proveedor_id=pv.tb_proveedor_id
		INNER JOIN tb_documento d ON c.tb_documento_id=d.tb_documento_id
		INNER JOIN tb_almacen a ON c.tb_almacen_id=a.tb_almacen_id
		INNER JOIN tb_compradetalle cd ON c.tb_compra_id = cd.tb_compra_id
		LEFT JOIN tb_presentacion pr ON pr.tb_presentacion_id = p.tb_presentacion_id
		INNER JOIN tb_catalogo ct ON cd.tb_catalogo_id = ct.tb_catalogo_id
		INNER JOIN tb_producto p ON pr.tb_producto_id = p.tb_producto_id
		INNER JOIN tb_presentacion pr ON p.tb_presentacion_id = pr.tb_presentacion_id
		INNER JOIN tb_marca m ON p.tb_marca_id = m.tb_marca_id
		INNER JOIN tb_categoria cg ON p.tb_categoria_id = cg.tb_categoria_id
		INNER JOIN tb_unidad un ON ct.tb_unidad_id_bas = un.tb_unidad_id
		
		WHERE c.tb_empresa_id = $emp_id 
		AND tb_compra_fec BETWEEN '$fec1' AND '$fec2' ";
		
		if($mon>0)$sql.=" AND tb_moneda_id = $mon ";
		if($pro_id>0)$sql.=" AND c.tb_proveedor_id = $pro_id ";
		if($est!="")$sql.=" AND tb_compra_est LIKE '$est' ";
		
		$sql.=" ORDER BY tb_compra_fec ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function mostrarUno($id){
		$sql="SELECT * 
		FROM tb_compra c
		INNER JOIN tb_documento d ON c.tb_documento_id=d.tb_documento_id
		inner join tb_empresa em on em.tb_empresa_id = c.tb_empresa_id
		INNER JOIN tb_proveedor p ON c.tb_proveedor_id=p.tb_proveedor_id
		WHERE tb_compra_id=$id";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function mostrar_compra_detalle($com_id){
		$sql="SELECT * 
		FROM tb_producto p
		INNER JOIN tb_categoria c ON p.tb_categoria_id = c.tb_categoria_id
		LEFT JOIN tb_presentacion pr ON pr.tb_presentacion_id = p.tb_presentacion_id
		LEFT JOIN tb_catalogo ct ON p.tb_producto_id = ct.tb_producto_id
		INNER JOIN tb_compradetalle cd ON ct.tb_catalogo_id = cd.tb_catalogo_id
		inner join tb_marca m on m.tb_marca_id = cd.tb_marca_id
		INNER JOIN tb_unidad u ON ct.tb_unidad_id = u.tb_unidad_id
		 inner join tb_empaque em on em.tb_empaque_id = p.tb_empaque_id
		WHERE cd.tb_compra_id=$com_id ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function mostrar_duplicidad($doc,$numdoc,$pro_id,$est,$emp_id){
		$sql="SELECT * 
		FROM tb_compra c
		INNER JOIN tb_proveedor p ON c.tb_proveedor_id=p.tb_proveedor_id
		INNER JOIN tb_documento d ON c.tb_documento_id=d.tb_documento_id
		WHERE c.tb_empresa_id = $emp_id 
		AND c.tb_documento_id=$doc
		AND tb_compra_numdoc= '$numdoc' ";
		
		if($pro_id>0)$sql.=" AND c.tb_proveedor_id = $pro_id ";
		if($est!="")$sql.=" AND tb_compra_xac = '$est' ";
		
		$sql.=" ORDER BY tb_compra_fec ";
		//echo $sql ; exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function modificar_estado($id, $est){
		$sql = "UPDATE tb_compra SET  
		tb_compra_est =  '$est' 
		WHERE tb_compra_id =$id;"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function modificar_archivo($id){
		$sql = "UPDATE tb_compraarchivo SET  
		tb_compraarchivo_xac =  '0' 
		WHERE tb_compraarchivo_id = '$id'"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function modificar_cambio2($id, $tipcam){
		$sql = "UPDATE tb_compra SET  
		tb_compra_tipcam2 =  '$tipcam' 
		WHERE tb_compra_id =$id;"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}


function modificar_campo($id,$campo,$valor){
		$sql = "UPDATE tb_compra SET
		tb_compra_$campo =  '$valor' 
		WHERE tb_compra_id =$id;";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
function modificar_campo_detalle($id,$campo,$valor){
		$sql = "UPDATE tb_compradetalle SET
		tb_compradetalle_$campo =  '$valor' 
		WHERE tb_compradetalle_id = '$id' ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}


	function mostrar_todos(){
		$sql="SELECT * 
		FROM tb_compra 
		WHERE tb_compra_est IN ('CANCELADA', 'EMITIDA')     
		ORDER BY tb_compra_fec";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function mostrar_valortotal($comid){
		$sql="SELECT sum(comdet.tb_compradetalle_preuni * comdet.tb_compradetalle_can) as 'valortotal' FROM tb_compra com 
			inner join tb_compradetalle comdet on comdet.tb_compra_id = com.tb_compra_id
			WHERE com.tb_compra_id='$comid'";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}

	function obtener_cuenta_egreso()
	{
		$sql = "SELECT * FROM tb_cuenta 
		where tb_cuentatipo_id='2' 
		and tb_modulo_id = '4' 
		and tb_cuenta_xac=1";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	function autocomplet_productos($nom,$est,$limit,$monid){ 
		$sql="SELECT * 
		FROM tb_producto p		
		INNER JOIN tb_categoria c ON p.tb_categoria_id=c.tb_categoria_id
		LEFT JOIN tb_presentacion pr ON pr.tb_presentacion_id = p.tb_presentacion_id
		LEFT JOIN tb_catalogo ct ON p.tb_producto_id = ct.tb_producto_id
		INNER JOIN tb_unidad u ON ct.tb_unidad_id=u.tb_unidad_id
		inner join tb_productomarca promar on promar.tb_catalogo_id = ct.tb_catalogo_id
        inner join tb_productomarcacodigo promarcod on promarcod.tb_productomarca_id = promar.tb_productomarca_id
		WHERE p.tb_producto_xac=1
		AND ct.tb_catalogo_vercom=1";
		if($nom!="") $sql .= " AND p.tb_producto_nom LIKE '%$nom%' or promarcod.tb_productomarcacodigo_cod like '%$nom$' ";
		if($est!="") $sql .= " AND p.tb_producto_est = '$est' ";
		$sql.="group by promarcod.tb_productomarcacodigo_id ORDER BY u.tb_unidad_tip, p.tb_producto_nom ";
		if($limit>0)$sql.=" LIMIT 0,$limit ";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;		  
	}
	
	
	function ver_existencia($docnum){
		$sql="SELECT * 
		FROM tb_compra WHERE tb_compra_xac = 1
		AND tb_compra_numdoc  = '$docnum'";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
}

function eliminar_formapago($forpagid){
		$sql="DELETE FROM tb_comprapago where tb_comprapago_id = '$forpagid'";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
}


	
}
?>